Skip to main content
POST
/
api
/
v1
/
plans
/
{planId}
/
entitlements
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

const entitlement = await client.v1.plans.entitlements.create('planId', { entitlements: [{}] });

console.log(entitlement.data);
{
  "data": [
    {
      "id": "<string>",
      "type": "FEATURE",
      "description": "<string>",
      "isGranted": true,
      "isCustom": true,
      "order": 123,
      "behavior": "Increment",
      "hiddenFromWidgets": [
        "PAYWALL"
      ],
      "displayNameOverride": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "featureId": "<string>",
      "usageLimit": 123,
      "hasUnlimitedUsage": true,
      "hasSoftLimit": true,
      "resetPeriod": "YEAR",
      "resetPeriodConfiguration": {
        "accordingTo": "SubscriptionStart"
      },
      "enumValues": [
        "<string>"
      ],
      "customCurrencyId": "<string>",
      "amount": 123,
      "cadence": "MONTH"
    }
  ]
}

Authorizations

X-API-KEY
string
header
required

Server API Key

Headers

X-API-KEY
string
required

Server API Key

Path Parameters

planId
string
required

The plan ID

Maximum string length: 255

Body

application/json

Request to create one or more entitlements on a plan

entitlements
CreatePackageEntitlementRequest · object[]
required

Entitlements to create

Minimum array length: 1

Response

The newly created plan entitlement objects.

Response object

data
PlanEntitlement · object[]
required